import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { RouterTestingModule } from '@angular/router/testing';
import { LayoutComponent } from '@msfa-shared/components/layout/layout.component';
import { GemensamPlaneringViewComponent } from './gemensam-planering-view.component';
import { GemensamPlaneringViewService } from './gemensam-planering-view.service';

describe('GemensamPlaneringViewComponent', () => {
  let component: GemensamPlaneringViewComponent;
  let fixture: ComponentFixture<GemensamPlaneringViewComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [GemensamPlaneringViewComponent, LayoutComponent],
      imports: [RouterTestingModule, HttpClientTestingModule],
      providers: [GemensamPlaneringViewService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(GemensamPlaneringViewComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
